<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Grid布局-基础单位：添加图片</title>
    <style>
        .wrapper{
            display: grid;
            grid-gap: 5px;
            grid-template-columns: repeat(auto-fit,minmax(100px,1fr));
            grid-template-rows:repeat(2,100px);
        }
        .wrapper div{
            border: 1px solid red;
        }
        .wrapper div img{
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    </style>
</head>
<body>
    <div class="wrapper">
        <div><img src="../../../images/banner.jpg"></div>
        <div><img src="../../../images/banner.jpg"></div>
        <div><img src="../../../images/banner.jpg"></div>
        <div><img src="../../../images/banner.jpg"></div>
        <div><img src="../../../images/banner.jpg"></div>
        <div><img src="../../../images/banner.jpg"></div>
    </div>
</body>
</html>